Skip to main content
POST
POST /api/conversations/{conversationId}/messages

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conversationId
string
required

Body

application/json
text
string
required
Required string length: 1 - 1000000
idempotencyKey
string
required
Required string length: 8 - 200
Pattern: ^[A-Za-z0-9._:-]+$
model
string
Required string length: 1 - 128
Pattern: ^[A-Za-z0-9._@:/-]+$
maxTurns
integer
Required range: 1 <= x <= 1000
maxBudgetUsd
number
Required range: x <= 1000
effort
enum<string>
Available options:
low,
medium,
high,
xhigh,
max
detach
boolean
fileIds
string<uuid>[]
Maximum array length: 8
location
object
replyTo
object
quickReply
object

Response

Success

run
object
required
entries
object[]
required